> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Workflow



## OpenAPI

````yaml /openapi-v1.json post /api/v1/workflows/{workflow_id}/publish
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/workflows/{workflow_id}/publish:
    post:
      tags:
        - Workflows
      summary: Publish Workflow
      operationId: core_api_v1_controllers_workflows_publish_workflow
      parameters:
        - in: path
          name: workflow_id
          schema:
            format: uuid
            title: Workflow Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowPublishInput'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    WorkflowPublishInput:
      properties:
        revision:
          minimum: 1
          title: Revision
          type: integer
      required:
        - revision
      title: WorkflowPublishInput
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.